import { ArrowLeft, Calendar2 } from "iconsax-react";
import Image from "next/image";

const ArticleCard = ({ article }) => {
  return (
    <div className="w-full flex h-[342px] rounded-xl shadow-2xl bg-white flex-col gap-2 overflow-hidden">
      <div className="w-full h-[130px]">
        <Image
          width={"0"}
          height={"0"}
          sizes="100vw"
          src={article.image}
          alt={article.imageAlt}
          title={article.imageTitle}
          className="w-full h-auto object-contain"
        />
      </div>
      <div className="w-full flex flex-col flex-1 gap-4 px-4 ">
        <div className="w-full flex items-center  gap-4">
          <Calendar2 size={20} color="#95a5aa" />
          <p className="text-text-second">{article.date}</p>
        </div>
        <strong>{article.title}</strong>
        <p className="leading-8">{article.desc}</p>
      </div>
      <div className="w-full h-12  flex items-center justify-end px-4 gap-3">
        <p className="text-text-second">ادامه مطلب</p>
        <ArrowLeft size={20} color="#95a5aa" />
      </div>
    </div>
  );
};

export default ArticleCard;
